unit PgsClass;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils,
  Math,
  cylgearclass;

type
  tPgs = class(tObject)
  private

  public
    i_ZH: extended; { gearset ratio: input sun gear, output ring gear }
    p: integer; { number of planets }
    Sun: tCylGear;
    Planet: tCylGear;
    Ring: tCylGear;
    constructor Create(aOwner: tComponent);
  end;

implementation

constructor tPgs.Create(aOwner: tComponent);
begin
  inherited Create;
  Sun := tCylGear.Create;
  Planet := tCylGear.Create;
  Ring := tCylGear.Create;
end;

end.

