unit PgsClass;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils,
  Math,
  cylgearclass;

type
  tPgs = class(tObject)
  private

  public
    i_ZS: extended; { gearset ratio: sun gear - planet carrier }
    i_ZH: extended; { gearset ratio: sun gear - ring gear }
    i_HS: extended; { gearset ratio: ring gear - planet carrier }
    i_SZ: extended; { gearset ratio: planet carrier - sun }
    i_HZ: extended; { gearset ratio: ring gear - sun gear}
    i_SH: extended; { gearset ratio: planet carrier - ring gear }
    p: integer; { number of planets }
    Sun: tCylGear;
    Planet: tCylGear;
    Ring: tCylGear;
    constructor Create(aOwner: tComponent);
  end;

implementation

constructor tPgs.Create(aOwner: tComponent);
begin
  inherited Create;
  Sun := tCylGear.Create;
  Planet := tCylGear.Create;
  Ring := tCylGear.Create;
end;

end.

